This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 449271

Summary: firstboot --reconfig fails to start
Product: [Fedora] Fedora Reporter: Russell Harrison <fedora>
Component: system-config-keyboardAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-28 08:18:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Russell Harrison 2008-06-01 10:27:40 EDT
Description of problem:
If I use firstboot --reconfig in my kickstart file or touch /etc/reconfigSys and
reboot firstboot will not start.

Version-Release number of selected component (if applicable):
firstboot-1.97-1.fc9.i386

How reproducible:
every time

Steps to Reproduce:
1. touch /etc/reconfigSys
2. reboot
  
Actual results:
firstboot fails to start with the following exception:

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/firstboot/interface.py", line 274, in c
reateScreens
    module.createScreen()
  File "/usr/share/firstboot/modules/keyboard.py", line 148, in createScreen
    if not self.kbd.beenset:
AttributeError: 'NoneType' object has no attribute 'beenset'

Expected results:
firstboot starts in reconfig mode and allows the user to reconfigure the system.

Additional info:
Comment 1 Lubomir Rintel 2008-06-28 08:18:51 EDT

*** This bug has been marked as a duplicate of 446608 ***